Package fr.gouv.vitam.common.database.builder.request.configuration

# Enum Class BuilderToken.FILTERARGS

java.lang.Object
java.lang.Enum<BuilderToken.FILTERARGS>
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken.FILTERARGS

All Implemented Interfaces:
  `Serializable`, `Comparable<BuilderToken.FILTERARGS>`, `Constable`

Enclosing class:
  `BuilderToken`

public static enum BuilderToken.FILTERARGS extends Enum<BuilderToken.FILTERARGS>
Specific values for Filter arguments

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CACHE`
  Deprecated.
  Will be removed in future releases.
  `NOCACHE`
  Deprecated.
  Will be removed in future releases.
  `NOTIMEOUT`
  Query should not have a timeout (scrolling)
  `OBJECTGROUPS`
  Query concerns ObjectGroups
  `OTHERS`
  Query concerns Others
  `TRACK_TOTAL_HITS`
  Query should compute total hits.
  `UNITS`
  Query concerns Units

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static BuilderToken.FILTERARGS`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuilderToken.FILTERARGS[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CACHE

    public static final BuilderToken.FILTERARGS CACHE
    Deprecated.
    Will be removed in future releases.
    Cache could be used for this request

  - ### NOCACHE

    public static final BuilderToken.FILTERARGS NOCACHE
    Deprecated.
    Will be removed in future releases.
    Cache should not be used for this request

  - ### NOTIMEOUT

    public static final BuilderToken.FILTERARGS NOTIMEOUT
    Query should not have a timeout (scrolling)

  - ### TRACK_TOTAL_HITS

    public static final BuilderToken.FILTERARGS TRACK_TOTAL_HITS
    Query should compute total hits. Defaults to false (returns 10_000 hits max)

  - ### OTHERS

    public static final BuilderToken.FILTERARGS OTHERS
    Query concerns Others

  - ### UNITS

    public static final BuilderToken.FILTERARGS UNITS
    Query concerns Units

  - ### OBJECTGROUPS

    public static final BuilderToken.FILTERARGS OBJECTGROUPS
    Query concerns ObjectGroups

- ## Method Details

  - ### values

    public static BuilderToken.FILTERARGS[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuilderToken.FILTERARGS valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token